| Home | Libraries | People | FAQ | More

## Struct template has_inverse<boost::rational< Integral >>

boost::icl::has_inverse<boost::rational< Integral >>

## Synopsis

    // In header: <boost/icl/rational.hpp>

    template<typename Integral>
    struct has_inverse<boost::rational< Integral >> {
      // types
      typedef has_inverse type;

      // public member functions
       BOOST_STATIC_CONSTANT(bool, value = (boost::is_signed< Integral >::value));
    };

## Description

### `has_inverse` public member functions

1.      BOOST_STATIC_CONSTANT(bool, value = (boost::is_signed< Integral >::value));